------------------------------------------------------------------------------------
--Name：            210525[简体征服][活动脚本]全球夏日祭活动
--Creator:      耿力兀
--Created:     2021-05-25
------------------------------------------------------------------------------------
CppScriptMgr:SetCanUseEsc(1)
-- 镜头一
CppScriptMgr:SetViewPosByCell(372,362)
local player16 = CppScriptMgr:AddSimplePlayer(19310,370,368,"Nuwa`s Shadow",4003000016,1)
local player17 = CppScriptMgr:AddSimplePlayer(19450,376,358,"Yan Emperor`s Shadow",4003000017,1)
local player18 = CppScriptMgr:AddSimplePlayer(19440,364,358,"Huang Emperor`s Shadow",4003000018,1)
player16:SetZoomPercent(220);
player17:SetZoomPercent(220);
player18:SetZoomPercent(220);
local player1 = CppScriptMgr:AddSimplePlayer(19932,376,363,"Babe",4003000001,1)
local player2 = CppScriptMgr:AddSimplePlayer(1050930,371,359,"Sweetie",4003000002,1)
local player3 = CppScriptMgr:AddSimplePlayer(1062886,369,363,"Darling",4003000003,1)
CppScriptMgr:WaitMilSec(1000)

player1:Say("What kind of soda is there in this bottle? #33",1000)
CppScriptMgr:WaitMilSec(1000)
player2:Say("It`s called ramune.",1000)
CppScriptMgr:WaitMilSec(1000)
player3:Say("Sweet... it`s tasty! #16",1000)
CppScriptMgr:WaitMilSec(1000)
player1:Say("Why this one is sour... and green? #29",1000)
CppScriptMgr:WaitMilSec(1000)
player2:Say("Of course, the green one is the lime one!#14",1000)
CppScriptMgr:WaitMilSec(1000)
player1:Say("Yes, you got it.",1000)
CppScriptMgr:WaitMilSec(1000)
local effectObj1 = CppScriptMgr:AddEffect("stipple_bdh",372,363)
CppScriptMgr:WaitMilSec(1000)
local player4 = CppScriptMgr:AddSimplePlayer(32976,372,363,"Honey",4003000004,1)
player4:Say("I`ve got the blueberry and grape sodas!#35",1000)
CppScriptMgr:WaitMilSec(1000)
player3:Say("Burp... hahaha! I`m sorry! Burp...#27",1000)
player1:Say("Let me try another flavor!#00",1000)
CppScriptMgr:WaitMilSec(1000)

-- 镜头二
CppScriptMgr:SetViewPosByCell(344,439)
local player19 = CppScriptMgr:AddSimplePlayer(19936,344,442,"Daily Quest Envoy",4003000019,1)
local player20 = CppScriptMgr:AddSimplePlayer(46410,350,440,"Server-transfer Envoy",4003000020,1)
local player5 = CppScriptMgr:AddSimplePlayer(45603,349,445,"Dashi",4003000005,1)
local player6 = CppScriptMgr:AddSimplePlayer(45596,339,444,"Tweak",4003000006,1)
local player7 = CppScriptMgr:AddSimplePlayer(45610,339,434,"Kwazii",4003000007,1)
local player8 = CppScriptMgr:AddSimplePlayer(45581,348,435,"Shellington",4003000008,1)
CppScriptMgr:WaitMilSec(1000)

player5:Say("Oho! That`s Dashi`s favorite Lime Marble!#52",1000)
CppScriptMgr:WaitMilSec(1000)
local effectObj2 = CppScriptMgr:AddEffect("halo_mu_fir",349,445)
CppScriptMgr:WaitMilSec(1000)
local effectObj3 = CppScriptMgr:AddEffect("halo_jin_fir",339,444)
CppScriptMgr:WaitMilSec(1000)
player6:Say("Tweak got it too! The vibrant Orange Marble!#60",1000)
CppScriptMgr:WaitMilSec(1000)
player7:Say("Kwazii! Kwazii! Watermelon Marbles are invincible!#35",1000)
CppScriptMgr:WaitMilSec(1000)
local effectObj4 = CppScriptMgr:AddEffect("halo_huo_fir",339,434)
player8:Say("Oho! My Grape Marbles are super cool!#26",1000)
CppScriptMgr:WaitMilSec(1000)
local effectObj5 = CppScriptMgr:AddEffect("changefig",348,435)
CppScriptMgr:WaitMilSec(1000)
local effectObj6 = CppScriptMgr:AddEffect("relive",343,433)
CppScriptMgr:WaitMilSec(1000)
local player9 = CppScriptMgr:AddSimplePlayer(45650,343,433,"Peso",4003000009,1)
player9:Say("Check out my Blueberry Marbles!#93",1000)
CppScriptMgr:WaitMilSec(1000)
local effectObj7 = CppScriptMgr:AddEffect("halo_shui_fir",343,433)
CppScriptMgr:WaitMilSec(1000)
player5:Say("Wow!",1000)
player6:Say("Wow!",1000)
player7:Say("Wow!",1000)
player8:Say("Wow!",1000)
CppScriptMgr:WaitMilSec(1000)


---- 镜头三
CppScriptMgr:SetViewPosByCell(375,445)
local effectObj10 = CppScriptMgr:AddEffect("xiariqingliangji",370,437)
local player10 = CppScriptMgr:AddSimplePlayer(45605,366,445,"Dashi",4003000010,1)
local player11 = CppScriptMgr:AddSimplePlayer(45594,371,449,"Tweak",4003000011,1)
local player12 = CppScriptMgr:AddSimplePlayer(45614,376,449,"Kwazii",4003000012,1)
local player13 = CppScriptMgr:AddSimplePlayer(45583,381,449,"Shellington",4003000013,1)
local player14 = CppScriptMgr:AddSimplePlayer(45652,381,445,"Peso",4003000014,1)
CppScriptMgr:WaitMilSec(1000)

player10:Say("I gotta be a pioneer this time!",1000)
CppScriptMgr:WaitMilSec(1000)
player11:Say("You`re always the last one on board!#14",1000)
CppScriptMgr:WaitMilSec(1000)
player10:Say("Hum!#07",1000)
CppScriptMgr:WaitMilSec(1000)
player13:Say("Stop it! Why don`t we discuss about the plan!#34",1000)
CppScriptMgr:WaitMilSec(1000)
player12:Say("Kwazii! Kwazii loves the sea!#18",1000)
CppScriptMgr:WaitMilSec(1000)
player14:Say("Captain! Captain is coming!",1000)
CppScriptMgr:WaitMilSec(1000)
local effectObj8 = CppScriptMgr:AddEffect("fam_gain",375,445)
CppScriptMgr:WaitMilSec(1000)

local player15 = CppScriptMgr:AddSimplePlayer(1061730,375,445,"Captain Buck",4003000015,1)
CppScriptMgr:NpcCallOut("Adventurer, we`ll be heading towards the Sea of Soda!",2500,1,"NPCBust_bg", "",320,570,400,580, "NPCBust_npc5016",150,430,"Captain Buck",250,655)
CppScriptMgr:WaitMilSec(2000)

player12:Say("It`s the sea! Kwazii likes it!#18",1000)
CppScriptMgr:WaitMilSec(1000)
player13:Say("It`s the Sea of Soda! That`s cool!",1000)
CppScriptMgr:WaitMilSec(1000)
player10:Say("I`m gonna have plenty of soda!#16",1000)
CppScriptMgr:WaitMilSec(1000)
player11:Say("I just want plenty of Orange Marbles!#10",1000)
CppScriptMgr:WaitMilSec(1000)
CppScriptMgr:NpcCallOut("I believe you`re all set to conquer the Sea of Soda!",2500,1,"NPCBust_bg", "",320,570,400,580, "NPCBust_npc5016",150,430,"Captain Buck",250,655)
CppScriptMgr:WaitMilSec(2000)
local effectObj9 = CppScriptMgr:AddEffect("Attack35r",375,445)

player10:Say("The Octonauts! Brave and smart!",1000)
player11:Say("The Octonauts! Brave and smart!",1000)
player12:Say("The Octonauts! Brave and smart!",1000)
player13:Say("The Octonauts! Brave and smart!",1000)
player14:Say("The Octonauts! Brave and smart!",1000)
CppScriptMgr:WaitMilSec(2000)